%define name hion
%define version 4.0
%define release 2mdk

Summary: a hungarian language preprocessor for TeX
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
URL: http://WWW.iSYS.hu/c/verhas/progs/c/hion/index.html
Group: Publishing
Source: %{name}.tar.bz2
BuildRoot: /var/tmp/%{name}-buildroot

%prep

%setup -n %{name} 
#-c -T

%description
HiOn is a hungarian language preprocessor and code converter for TeX.

%build
cc $RPM_OPT_FLAGS -o hion hion.c
cc $RPM_OPT_FLAGS -o compare compare.c

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin/
mkdir -p $RPM_BUILD_ROOT/usr/man/man1/
mkdir -p $RPM_BUILD_ROOT/usr/dict
install -m755 hion compare $RPM_BUILD_ROOT/usr/bin/
install -m644 hion.1 $RPM_BUILD_ROOT/usr/man/man1/
install -m644 hioni.dct $RPM_BUILD_ROOT/usr/dict/hion.dct
install -m644 hion.dcb $RPM_BUILD_ROOT/usr/dict
ln -sf hion $RPM_BUILD_ROOT/usr/bin/huon
ln -sf hion $RPM_BUILD_ROOT/usr/bin/huoff
ln -sf hion $RPM_BUILD_ROOT/usr/bin/numoff

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc hion.html
%doc hion.hun
%doc kiad.hun
%doc kiad.txt
%doc reg.hun
%doc reg.txt
/usr/dict/*
/usr/bin/*
/usr/man/man1/hion.*

%changelog
* Fri Apr 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.0-2mdk
- fix group, files section
- fix archive and setup section

* Thu Feb 24 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build 

* Wed May 12 1999 Peter Soos <sp@osb.hu>
- corrected the file and directory attributes to rebuild the package
  under RedHat Linux 6.0
 
* Fri Dec 25 1998 Peter Soos <sp@osb.hu>
- Corrected the file and directory attributes
 
* Mon Jun 22 1998 Peter Soos <sp@osb.hu>
- Using %attr
 
* Tue Apr 20 1998 Peter Soos <sp@osb.hu>
- Updated to version 4.0
 
* Thu Mar 19 1998 Peter Soos <sp@osb.hu>
- Corrected the URLs
 
* Sun Jan 18 1998 Peter Soos <sp@osb.hu>
- Patch for bad dictionary error
 
* Tue Dec 9 1997 Peter Soos <sp@osb.hu>
- Recompiled under RedHat Linux 5.0
- Using BuildRoot
                       
